//---------------------------------------------------------------------------
#ifndef ChipFunctionsH
#define ChipFunctionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
void InitChip(unsigned int);                            //   
void InitArea(unsigned char);                           //     FF-
void LoadFromBinFileToMemory(AnsiString, unsigned char);//    bin-    
void LoadFromHexFileToMemory(AnsiString, unsigned char);//    hex-    
void SaveFromMemoryToBinFile(AnsiString, unsigned char);//        bin-
void SaveFromMemoryToHexFile(AnsiString, unsigned char);//        hex-

//---------------------------------------------------------------------------
struct chip { AnsiString Name, ImageName;
              unsigned int ID;                                          //   
              unsigned int Area1Size; unsigned char Area1[262144];      //   (max 256 KByte)
              unsigned int Area2Size; unsigned char Area2[65536];       //   (max 64 KByte)
              unsigned char Area3Size; unsigned char Area3[8];          //  
              unsigned char Area4Size; unsigned char Area4[8];};        //   
//---------------------------------------------------------------------------
//---    ----------------------------------
//---------------------------------------------------------------------------
extern struct chip SelectedChip;
//---------------------------------------------------------------------------
#endif
