//---------------------------------------------------------------------------
#ifndef AT90S1200H
#define AT90S1200H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0 - RCEN, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S1200_ProgrammingEnable();                     //    
bool AT90S1200_ChipErase();                             //  EEPROM  flash
bool AT90S1200_ReadProgramMemory(unsigned int, bool);   //      , 0 - , 1 - 
bool AT90S1200_WriteProgramMemory(unsigned int);        //      
bool AT90S1200_ReadEEPROMMemory(unsigned int, bool);    //   EEPROM   , 0 - , 1 - 
bool AT90S1200_WriteEEPROMMemory(unsigned int);         //    EEPROM   
//---
bool AT90S1200_ReadFuseLockBits();              //  Fuse-  Lock- (  Area3[0], Area3[1])
bool AT90S1200_WriteFuseBits();                 //  Fuse- (  Area3[0])
bool AT90S1200_WriteLockBits();                 //  Lock- (  Area3[1])
unsigned int AT90S1200_ReadSignatureBytes();    //    (  )
//---------------------------------------------------------------------------
#endif
 