//---------------------------------------------------------------------------
#ifndef AT90S2323H
#define AT90S2323H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0 - FSTRT, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S2323_ProgrammingEnable();                     //    
bool AT90S2323_ChipErase();                             //  EEPROM  flash
bool AT90S2323_ReadProgramMemory(unsigned int, bool);   //      , 0 - , 1 - 
bool AT90S2323_WriteProgramMemory(unsigned int);        //   16-     
bool AT90S2323_ReadEEPROMMemory(unsigned int, bool);    //   EEPROM   , 0 - , 1 - 
bool AT90S2323_WriteEEPROMMemory(unsigned int);         //    EEPROM   
//---
bool AT90S2323_ReadLockFuseBits();                //  Lock-  Fuse- (  Area3[1], Area3[0])
bool AT90S2323_WriteLockBits();                   //  Lock- (  Area3[1])
bool AT90S2323_WriteFuseBits();                   //  Fuse- (Fuse Byte - Area3[0])
unsigned int AT90S2323_ReadSignatureBytes();      //    (  )
//---------------------------------------------------------------------------
#endif
