//---------------------------------------------------------------------------
#ifndef AT90S2333H
#define AT90S2333H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0:2 - CKSEL0:CKSEL2, 3 - BODEN, 4 - BODLEVEL, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S2333_ProgrammingEnable();                     //    
bool AT90S2333_ChipErase();                             //  EEPROM  flash
bool AT90S2333_ReadProgramMemory(unsigned int, bool);   //      , 0 - , 1 - 
bool AT90S2333_WriteProgramMemory(unsigned int);        //      
bool AT90S2333_ReadEEPROMMemory(unsigned int, bool);    //   EEPROM   , 0 - , 1 - 
bool AT90S2333_WriteEEPROMMemory(unsigned int);         //    EEPROM   
//---
bool AT90S2333_ReadFuseLockBits();             		//  Fuse- & Lock- (  Area3[0], Area3[1])
bool AT90S2333_WriteLockBits();                   	//  Lock- (  Area3[1])
bool AT90S2333_WriteFuseBits();                   	//  Fuse- (  Area3[0])
unsigned int AT90S2333_ReadSignatureBytes();      	//    (  )
//---------------------------------------------------------------------------
#endif
