//---------------------------------------------------------------------------
#ifndef AT90S2343H
#define AT90S2343H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0 - RCEN, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S2343_ProgrammingEnable();                     //    
bool AT90S2343_ChipErase();                             //  EEPROM  flash
bool AT90S2343_ReadProgramMemory(unsigned int, bool);   //      , 0 - , 1 - 
bool AT90S2343_WriteProgramMemory(unsigned int);        //      
bool AT90S2343_ReadEEPROMMemory(unsigned int, bool);    //   EEPROM   , 0 - , 1 - 
bool AT90S2343_WriteEEPROMMemory(unsigned int);         //    EEPROM   
//---
bool AT90S2343_ReadLockFuseBits();                //  Lock-  Fuse- (  Area3[1], Area3[0])
bool AT90S2343_WriteLockBits();                   //  Lock- (  Area3[1])
bool AT90S2343_WriteFuseBits();                   //  Fuse- (Fuse Byte - Area3[0])
unsigned int AT90S2343_ReadSignatureBytes();      //    (  )
//---------------------------------------------------------------------------
#endif
