//---------------------------------------------------------------------------
#ifndef AT90S4414H
#define AT90S4414H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0 - FSTRT, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S4414_ProgrammingEnable();                     //    
bool AT90S4414_ChipErase();                             //  EEPROM  flash
bool AT90S4414_ReadProgramMemory(unsigned int, bool);   //      , 0 - , 1 - 
bool AT90S4414_WriteProgramMemory(unsigned int);        //      
bool AT90S4414_ReadEEPROMMemory(unsigned int, bool);    //   EEPROM   , 0 - , 1 - 
bool AT90S4414_WriteEEPROMMemory(unsigned int);         //    EEPROM   
//---
bool AT90S4414_ReadFuseLockBits();              //  Fuse-  Lock- (  Area3[0], Area3[1])
bool AT90S4414_WriteFuseBits();                 //  Fuse- (  Area3[0])
bool AT90S4414_WriteLockBits();                 //  Lock- (  Area3[1])
unsigned int AT90S4414_ReadSignatureBytes();    //    (  )
//---------------------------------------------------------------------------
#endif
 