//---------------------------------------------------------------------------
#ifndef AT90S4434H
#define AT90S4434H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Fuse Byte (0 - FSTRT, 5 - SPIEN), 1 - Lock byte (1 - LB1, 2 - LB2)
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool AT90S4434_ProgrammingEnable();                     //    
bool AT90S4434_ChipErase();                             //  EEPROM  flash
bool AT90S4434_ReadProgramMemory(unsigned int, bool);   //      , 0 - , 1 - 
bool AT90S4434_WriteProgramMemory(unsigned int);        //   16-     
bool AT90S4434_ReadEEPROMMemory(unsigned int, bool);    //   EEPROM   , 0 - , 1 - 
bool AT90S4434_WriteEEPROMMemory(unsigned int);         //    EEPROM   
//---
bool AT90S4434_ReadFuseLockBits();                //  Fuse-  Lock- (  Area3[0], Area3[1])
bool AT90S4434_WriteFuseBits();                   //  Fuse- (Fuse Byte - Area3[0])
bool AT90S4434_WriteLockBits();                   //  Lock- (  Area3[1])
unsigned int AT90S4434_ReadSignatureBytes();      //    (  )
//---------------------------------------------------------------------------
#endif
