//---------------------------------------------------------------------------
#pragma hdrstop

#include "FormFunctions.h"      //     
#include "Main.h"               //      
#include "PortFunctions.h"      //      
#include "ChipFunctions.h"      //     
#include "ProgressBar.h"        //   -
#include "Image.h"              //    ImageForm
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//---   -------------------------------------------------
//---------------------------------------------------------------------------
form_inf        FormData;       //   
//---------------------------------------------------------------------------
//---      -------------------------------
//---------------------------------------------------------------------------
void EnableButtons()
{ Form1->Button1->Enabled       = false;        //   Connect
  Form1->Button2->Enabled       = true;         //    
  Form1->Button3->Enabled       = true;
  Form1->Button4->Enabled       = true;
  Form1->Button5->Enabled       = true;
  Form1->Button6->Enabled       = true;
  Form1->Button7->Enabled       = true;
  Form1->Button8->Enabled       = true;
  Form1->Button9->Enabled       = true;
  Form1->Button10->Enabled      = true;
  Form1->Button11->Enabled      = true;
  Form1->LockFuses1->Enabled    = true;
}
//---------------------------------------------------------------------------
//---      -----------------------------
//---------------------------------------------------------------------------
void DisableButtons()
{ Form1->Button1->Enabled       = true;         //   Connect
  Form1->Button2->Enabled       = false;        //    
  Form1->Button3->Enabled       = false;
  Form1->Button4->Enabled       = false;
  Form1->Button5->Enabled       = false;
  Form1->Button6->Enabled       = false;
  Form1->Button7->Enabled       = false;
  Form1->Button8->Enabled       = false;
  Form1->Button9->Enabled       = false;
  Form1->Button10->Enabled      = false;
  Form1->Button11->Enabled      = false;
  Form1->LockFuses1->Enabled    = false;
}
//---------------------------------------------------------------------------
//---   RICHEDIT- ------------------------------------
//---------------------------------------------------------------------------
void InitFormInf(unsigned int ID)
{ //          
  switch(ID)
  { case 0:     return;
    default:    FormData.RE1Size=SelectedChip.Area1Size;
                FormData.RE2Size=SelectedChip.Area1Size;
                FormData.RE3Size=SelectedChip.Area2Size;
                FormData.RE4Size=SelectedChip.Area2Size;
                break;
  }
  InitDataOnForm(1);                            //   RichEdit1
  InitDataOnForm(2);                            //   RichEdit2
  InitDataOnForm(3);                            //   RichEdit3
  InitDataOnForm(4);                            //   RichEdit4
  Form1->Edit1->Text=SelectedChip.Name;         //     
  //     LoadImage,         
  PlaceDataToForm(0,0);                         //  ID  RichEdit3
}
//---------------------------------------------------------------------------
//---       ----------------------
//---------------------------------------------------------------------------
void InitDataOnForm(unsigned char OutForm)
{ unsigned int i;               // 

  switch(OutForm)
  { case 1:     //  RichEdit1 ()
                Form1->RichEdit1->Visible=false;        //   
                Form1->RichEdit1->Clear();              //  RichEdit1
                for(i=0; i<FormData.RE1Size/16; i++)    //  
                  Form1->RichEdit1->Lines->Add(IntToHex(int(16*i),8)+": FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF   |   ");       //  76  + CR+LF = 78
                //     
                Form1->RichEdit1->SelStart=82*(i-1)+80;
                Form1->RichEdit1->SelLength=2;
                Form1->RichEdit1->SelText="";
                Form1->RichEdit1->Visible=true;         //   
                break;
    case 2:     //  RichEdit2 ()
                Form1->RichEdit2->Visible=false;        //   
                Form1->RichEdit2->Clear();              //  RichEdit2
                for(i=0; i<FormData.RE2Size/16; i++)    //  
                  Form1->RichEdit2->Lines->Add(IntToHex(int(16*i),8)+": FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF   |   ");       //  76 
                //     
                Form1->RichEdit2->SelStart=82*(i-1)+80;
                Form1->RichEdit2->SelLength=2;
                Form1->RichEdit2->SelText="";
                Form1->RichEdit2->Visible=true;         //   
                break;
    case 3:     //  RichEdit3 ()
                Form1->RichEdit3->Visible=false;        //   
                Form1->RichEdit3->Clear();              //  RichEdit3
                for(i=0; i<FormData.RE3Size/16; i++)    //  
                  Form1->RichEdit3->Lines->Add(IntToHex(int(16*i),8)+": FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF   |   ");       //  76 
                //     
                Form1->RichEdit3->SelStart=82*(i-1)+80;
                Form1->RichEdit3->SelLength=2;
                Form1->RichEdit3->SelText="";
                Form1->RichEdit3->Visible=true;         //   
                break;
    case 4:     //  RichEdit4 ()
                Form1->RichEdit4->Visible=false;        //   
                Form1->RichEdit4->Clear();              //  RichEdit4
                for(i=0; i<FormData.RE4Size/16; i++)    //  
                  Form1->RichEdit4->Lines->Add(IntToHex(int(16*i),8)+": FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF   |   ");       //  76 
                //     
                Form1->RichEdit4->SelStart=82*(i-1)+80;
                Form1->RichEdit4->SelLength=2;
                Form1->RichEdit4->SelText="";
                Form1->RichEdit4->Visible=true;         //   
                break;
    default:    break;
  }
}
//---------------------------------------------------------------------------
//---    -------------------------------------------
//---------------------------------------------------------------------------
void LoadImage()
{ if(FileExists(SelectedChip.ImageName))        //   
  { ImageForm->Image1->Picture->LoadFromFile(SelectedChip.ImageName);
  }
  else
  { MessageBox(NULL,"   ,\n(   ).  \n ,    \n   radiohlam.ru","Error",MB_OK);
    ImageForm->Image1->Picture->Bitmap->FreeImage();
  }
}
//---------------------------------------------------------------------------
//---       ------------------------------------
//---------------------------------------------------------------------------
void PlaceDataToForm(unsigned char OutForm, unsigned char InArea)
{ char TempBuf[1], OutHexBuf[3];        //  
  unsigned int LineNum, LocalNum;       //    
  unsigned int Size;                    //   
  AnsiString TempIDStr;                 //     ID

  switch(InArea)   //       
  { case 1:     Size=SelectedChip.Area1Size;
                break;
    case 2:     Size=SelectedChip.Area2Size;
                break;
    default:    Size=0;
                break;
  }

  Form1->PageControl1->Visible = false;
  //  -
  Application->CreateForm(__classid(TLBar),&LBar);        //    -
  LBar->Show();                                           //     
  switch(OutForm)  //    
  { case 0:     //     Edit2 (SelectedChip.ID)
                TempIDStr="";
                for(unsigned int i=0; i<3; i++)
                { //     hex-
                  TempBuf[0]=SelectedChip.ID>>(8*(2-i));//  
                  BinToHex(TempBuf,OutHexBuf,1);        //     ()
                  OutHexBuf[2]=0;                       //    
                  TempIDStr+=UpperCase(OutHexBuf);      //    
                  TempIDStr+=" ";
                }
                Form1->Edit2->Text=TempIDStr.SubString(1,8);
                break;
    case 1:     //     RichEdit1 ()
                for(unsigned int i=0;i<Size;i++)       //    
                { //     hex-
                  switch(InArea)
                  { case 1: TempBuf[0]=SelectedChip.Area1[i];
                            break;
                    case 2: TempBuf[0]=SelectedChip.Area2[i];
                            break;
                    default: TempBuf[0]=0;
                             break;
                  }
                  BinToHex(TempBuf,OutHexBuf,1);        //     ()
                  OutHexBuf[2]=0;                       //    
                  //    
                  LineNum=i/16;                         //  ,    
                  LocalNum=i-16*LineNum;                //    
                  //   
                  Form1->RichEdit1->SelStart=LineNum*82+10+3*LocalNum;  //     
                  Form1->RichEdit1->SelLength=2;                        //  2 
                  Form1->RichEdit1->SelText=UpperCase(OutHexBuf);       //   OutHexBuf (2   -,    )
                  //   
                  Form1->RichEdit1->SelStart=LineNum*82+64+LocalNum;    //     
                  Form1->RichEdit1->SelLength=1;                        //  1 
                  if(unsigned(TempBuf[0])<0x1F) OutHexBuf[1]=0x1F;                //    - 
                  else                          OutHexBuf[1]=TempBuf[0];          //    
                  Form1->RichEdit1->SelText=OutHexBuf[1];               // 
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit1->SelStart=10;                  //     
                Form1->RichEdit1->SelLength=0;                  //  
                break;
    case 2:     //     RichEdit2
                for(unsigned int i=0;i<Size;i++)       //    
                { //     hex-
                  switch(InArea)
                  { case 1: TempBuf[0]=SelectedChip.Area1[i];
                            break;
                    case 2: TempBuf[0]=SelectedChip.Area2[i];
                            break;
                    default: TempBuf[0]=0;
                             break;
                  }
                  BinToHex(TempBuf,OutHexBuf,1);        //     ()
                  OutHexBuf[2]=0;                       //    
                  //    
                  LineNum=i/16;                          //  ,    
                  LocalNum=i-16*LineNum;                 //    
                  //   
                  Form1->RichEdit2->SelStart=LineNum*82+10+3*LocalNum;   //     
                  Form1->RichEdit2->SelLength=2;                        //  2 
                  Form1->RichEdit2->SelText=UpperCase(OutHexBuf);       //   OutHexBuf (2   -,    )
                  //   
                  Form1->RichEdit2->SelStart=LineNum*82+64+LocalNum;    //     
                  Form1->RichEdit2->SelLength=1;                        //  1 
                  if(unsigned(TempBuf[0])<0x1F) OutHexBuf[1]=0x1F;                //    - 
                  else                          OutHexBuf[1]=TempBuf[0];          //    
                  Form1->RichEdit2->SelText=OutHexBuf[1];               // 
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit2->SelStart=10;                   //     
                Form1->RichEdit2->SelLength=0;                  //  
                break;
    case 3:     //     RichEdit3
                for(unsigned int i=0;i<Size;i++)        //    
                { //     hex-
                  switch(InArea)
                  { case 1: TempBuf[0]=SelectedChip.Area1[i];
                            break;
                    case 2: TempBuf[0]=SelectedChip.Area2[i];
                            break;
                    default: TempBuf[0]=0;
                             break;
                  }
                  BinToHex(TempBuf,OutHexBuf,1);        //    ()
                  OutHexBuf[2]=0;                       //   
                  //    
                  LineNum=i/16;                          //  ,    
                  LocalNum=i-16*LineNum;                 //    
                  //   
                  Form1->RichEdit3->SelStart=LineNum*82+10+3*LocalNum;   //     
                  Form1->RichEdit3->SelLength=2;                        //  2 
                  Form1->RichEdit3->SelText=UpperCase(OutHexBuf);       //   OutHexBuf (2   -,    )
                  //   
                  Form1->RichEdit3->SelStart=LineNum*82+64+LocalNum;    //     
                  Form1->RichEdit3->SelLength=1;                        //  1 
                  if(unsigned(TempBuf[0])<0x1F) OutHexBuf[1]=0x1F;                //    - 
                  else                          OutHexBuf[1]=TempBuf[0];          //    
                  Form1->RichEdit3->SelText=OutHexBuf[1];               // 
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit3->SelStart=10;                   //     
                Form1->RichEdit3->SelLength=0;                  //  
                break;
    case 4:     //     RichEdit4
                for(unsigned int i=0;i<Size;i++)        //    
                { //     hex-
                  switch(InArea)
                  { case 1: TempBuf[0]=SelectedChip.Area1[i];
                            break;
                    case 2: TempBuf[0]=SelectedChip.Area2[i];
                            break;
                    default: TempBuf[0]=0;
                             break;
                  }
                  BinToHex(TempBuf,OutHexBuf,1);        //    ()
                  OutHexBuf[2]=0;                       //   
                  //    
                  LineNum=i/16;                          //  ,    
                  LocalNum=i-16*LineNum;                 //    
                  //   
                  Form1->RichEdit4->SelStart=LineNum*82+10+3*LocalNum;   //     
                  Form1->RichEdit4->SelLength=2;                        //  2 
                  Form1->RichEdit4->SelText=UpperCase(OutHexBuf);       //   OutHexBuf (2   -,    )
                  //   
                  Form1->RichEdit4->SelStart=LineNum*82+64+LocalNum;    //     
                  Form1->RichEdit4->SelLength=1;                        //  1 
                  if(unsigned(TempBuf[0])<0x1F) OutHexBuf[1]=0x1F;                //    - 
                  else                          OutHexBuf[1]=TempBuf[0];          //    
                  Form1->RichEdit4->SelText=OutHexBuf[1];               // 
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit4->SelStart=10;                   //     
                Form1->RichEdit4->SelLength=0;                  //  
                break;
    default:    break;
  }
  LBar->Free();                 //    -
  Form1->PageControl1->Visible = true;
}
//---------------------------------------------------------------------------
//---       --------------------------------------
//---------------------------------------------------------------------------
void GetDataToMemory(unsigned char InForm, unsigned char OutArea)
{ AnsiString SubStr;                    //  
  char *InHexBuf, TempBuf[1];           //  
  unsigned int LineNum, LocalNum;       //    
  unsigned int Size, TempID;            //  

  switch(SelectedChip.ID)
  {     case 0:         return; //       - 
        default:        break;
  }

  switch(OutArea)  //  ,     
  { case 1:     Size=SelectedChip.Area1Size;
                break;
    case 2:     Size=SelectedChip.Area2Size;
                break;
    default:    Size=0;
                break;
  }

  Form1->PageControl1->Visible = false;
  //  -
  Application->CreateForm(__classid(TLBar),&LBar);        //    -
  LBar->Show();                                           //     
  switch(InForm)//     
  { case 1:     //    RichEdit1 ()
                for(unsigned int i=0;i<Size;i++)        //    
                { //     
                  LineNum=i/16;                         //  ,    
                  LocalNum=i-16*LineNum;                //    
                  //        hex
                  Form1->RichEdit1->SelStart=82*LineNum+10+3*LocalNum;   //      (  )
                  Form1->RichEdit1->SelLength=2;                        //  2 
                  SubStr=LowerCase(Form1->RichEdit1->SelText);          //    
                  InHexBuf=SubStr.c_str();              //      (  )
                  HexToBin(InHexBuf,TempBuf,1);         //    ()
                  //   
                  switch(OutArea)
                  { case 1:  SelectedChip.Area1[i]=TempBuf[0];
                             break;
                    case 2:  SelectedChip.Area2[i]=TempBuf[0];
                             break;
                    default: break;
                  }
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit1->SelStart=10;                   //     
                Form1->RichEdit1->SelLength=0;                  //  
                break;
    case 2:     //    RichEdit2 ()
                for(unsigned int i=0;i<Size;i++)        //    
                { //     
                  LineNum=i/16;                         //  ,    
                  LocalNum=i-16*LineNum;                //    
                  //        hex
                  Form1->RichEdit2->SelStart=82*LineNum+10+3*LocalNum;   //      (  )
                  Form1->RichEdit2->SelLength=2;                        //  2 
                  SubStr=LowerCase(Form1->RichEdit2->SelText);          //    
                  InHexBuf=SubStr.c_str();               //      (  )
                  HexToBin(InHexBuf,TempBuf,1);          //    ()
                  //   
                  switch(OutArea)
                  { case 1:  SelectedChip.Area1[i]=TempBuf[0];
                             break;
                    case 2:  SelectedChip.Area2[i]=TempBuf[0];
                             break;
                    default: break;
                  }
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit2->SelStart=10;                   //     
                Form1->RichEdit2->SelLength=0;                  //  
                break;
    case 3:     //    RichEdit3 ()
                for(unsigned int i=0;i<Size;i++)        //    
                { //     
                  LineNum=i/16;                         //  ,    
                  LocalNum=i-16*LineNum;                //    
                  //        hex
                  Form1->RichEdit3->SelStart=82*LineNum+10+3*LocalNum;   //      (  )
                  Form1->RichEdit3->SelLength=2;                        //  2 
                  SubStr=LowerCase(Form1->RichEdit3->SelText);          //    
                  InHexBuf=SubStr.c_str();              //      (  )
                  HexToBin(InHexBuf,TempBuf,1);         //    ()
                  //   
                  switch(OutArea)
                  { case 1:  SelectedChip.Area1[i]=TempBuf[0];
                             break;
                    case 2:  SelectedChip.Area2[i]=TempBuf[0];
                             break;
                    default: break;
                  }
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit3->SelStart=10;                   //     
                Form1->RichEdit3->SelLength=0;                  //  
                break;
    case 4:     //    RichEdit4 ()
                for(unsigned int i=0;i<Size;i++)        //    
                { //     
                  LineNum=i/16;                         //  ,    
                  LocalNum=i-16*LineNum;                //    
                  //        hex
                  Form1->RichEdit4->SelStart=82*LineNum+10+3*LocalNum;   //      (  )
                  Form1->RichEdit4->SelLength=2;                        //  2 
                  SubStr=LowerCase(Form1->RichEdit4->SelText);          //    
                  InHexBuf=SubStr.c_str();               //      (  )
                  HexToBin(InHexBuf,TempBuf,1);          //    ()
                  //   
                  switch(OutArea)
                  { case 1:  SelectedChip.Area1[i]=TempBuf[0];
                             break;
                    case 2:  SelectedChip.Area2[i]=TempBuf[0];
                             break;
                    default: break;
                  }
                  //   1024 -    -
                  if(i%1024==0)
                  { LBar->ProgressBar1->Position=100*(i+1)/Size;
                  }
                }
                //    
                Form1->RichEdit4->SelStart=10;                   //     
                Form1->RichEdit4->SelLength=0;                  //  
                break;
    default:    break;
  }
  LBar->Free();                 //    -
  Form1->PageControl1->Visible = true;
}
//---------------------------------------------------------------------------

